Package: ruby-seed-fu / 2.3.7-3

Metadata

Package Version Patches format
ruby-seed-fu 2.3.7-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
bundler | (download)

spec/spec_helper.rb | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 remove usage of bundler
 Prevent using bundler to install needed gems.
activerecord api fix.patch | (download)

spec/spec_helper.rb | 8 7 + 1 - 0 !
1 file changed, 7 insertions(+), 1 deletion(-)

 make compatible with activerecord 5.1+
 Throw :abort instead of returning false while before_save.
rspec from 2 to 3.patch | (download)

spec/runner_spec.rb | 12 6 + 6 - 0 !
spec/seeder_spec.rb | 40 20 + 20 - 0 !
spec/writer_spec.rb | 10 5 + 5 - 0 !
3 files changed, 31 insertions(+), 31 deletions(-)

 replace rspec syntax "should" with "expect"
 `:should` syntax without explicitly enabling the syntax is deprecated in
 RSpec. This patch will replace `:should` syntax with `#expect`, which
 introduced in RSpec 2.11.